# ImagesApi

## ImagesApi

All URIs are relative to *<https://api.ionos.com/cloudapi/v6>*

| Method                                         | HTTP request                 | Description             |
| ---------------------------------------------- | ---------------------------- | ----------------------- |
| [**images\_delete**](#images_delete)           | **DELETE** /images/{imageId} | Delete images           |
| [**images\_find\_by\_id**](#images_find_by_id) | **GET** /images/{imageId}    | Retrieve images         |
| [**images\_get**](#images_get)                 | **GET** /images              | List images             |
| [**images\_patch**](#images_patch)             | **PATCH** /images/{imageId}  | Partially modify images |
| [**images\_put**](#images_put)                 | **PUT** /images/{imageId}    | Modify an Image by ID   |

## **images\_delete**

> images\_delete(image\_id, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Delete images

Delete the specified image; this operation is only supported for private images.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.ImagesApi(api_client)
    image_id = 'image_id_example' # str | The unique ID of the image.
    try:
        # Delete images
        api_instance.images_delete(image_id)
    except ApiException as e:
        print('Exception when calling ImagesApi.images_delete: %s\n' % e)
```

#### Parameters

| Name                    | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **image\_id**           | **str**  | The unique ID of the image.                                                                                                                                                                                                                                                                                                                                                                                                              |                                |
| **pretty**              | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

void (empty response body)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **images\_find\_by\_id**

> Image images\_find\_by\_id(image\_id, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Retrieve images

Retrieve the properties of the specified image.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.ImagesApi(api_client)
    image_id = 'image_id_example' # str | The unique ID of the image.
    try:
        # Retrieve images
        api_response = api_instance.images_find_by_id(image_id)
        print(api_response)
    except ApiException as e:
        print('Exception when calling ImagesApi.images_find_by_id: %s\n' % e)
```

#### Parameters

| Name                    | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **image\_id**           | **str**  | The unique ID of the image.                                                                                                                                                                                                                                                                                                                                                                                                              |                                |
| **pretty**              | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**Image**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/image)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **images\_get**

> Images images\_get(pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

List images

List all the images within the data center.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.ImagesApi(api_client)
    try:
        # List images
        api_response = api_instance.images_get()
        print(api_response)
    except ApiException as e:
        print('Exception when calling ImagesApi.images_get: %s\n' % e)
```

#### Parameters

| Name                    | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **pretty**              | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**Images**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/images)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **images\_patch**

> Image images\_patch(image\_id, image, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Partially modify images

Update the properties of the specified image.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.ImagesApi(api_client)
    image_id = 'image_id_example' # str | The unique ID of the image.
    image = ionoscloud.ImageProperties() # ImageProperties | The image properties to be updated.
    try:
        # Partially modify images
        api_response = api_instance.images_patch(image_id, image)
        print(api_response)
    except ApiException as e:
        print('Exception when calling ImagesApi.images_patch: %s\n' % e)
```

#### Parameters

| Name                    | Type                                                                                                               | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | ------------------------------------------------------------------------------------------------------------------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **image\_id**           | **str**                                                                                                            | The unique ID of the image.                                                                                                                                                                                                                                                                                                                                                                                                              |                                |
| **image**               | [**ImageProperties**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/imageproperties) | The image properties to be updated.                                                                                                                                                                                                                                                                                                                                                                                                      |                                |
| **pretty**              | **bool**                                                                                                           | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**                                                                                                            | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**                                                                                                            | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**Image**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/image)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json

## **images\_put**

> Image images\_put(image\_id, image, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Modify an Image by ID

Modifies the properties of the specified image.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.ImagesApi(api_client)
    image_id = 'image_id_example' # str | The unique ID of the image.
    image = ionoscloud.Image() # Image | The modified image
    try:
        # Modify an Image by ID
        api_response = api_instance.images_put(image_id, image)
        print(api_response)
    except ApiException as e:
        print('Exception when calling ImagesApi.images_put: %s\n' % e)
```

#### Parameters

| Name                    | Type                                                                                           | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | ---------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **image\_id**           | **str**                                                                                        | The unique ID of the image.                                                                                                                                                                                                                                                                                                                                                                                                              |                                |
| **image**               | [**Image**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/image) | The modified image                                                                                                                                                                                                                                                                                                                                                                                                                       |                                |
| **pretty**              | **bool**                                                                                       | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**                                                                                        | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**                                                                                        | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**Image**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/image)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json
